Subject: bug#39332: closed (Re: [bug#39332] [PATCH] system: Add btrfs-progs to %BASE-PACKAGES.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Feb 2020 00:22:02 +0000

Your bug report

#39332: [PATCH] system: Add btrfs-progs to %BASE-PACKAGES.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39332: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39332
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#39332] [PATCH] system: Add btrfs-progs to %BASE-PACKAGES.
From: Leo Famulari <[email-masked]>
To: Brice Waegeneire <[email-masked]>
Cc: [email-masked]
Date: Fri, 7 Feb 2020 19:21:45 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Jan 29, 2020 at 11:19:18AM +0000, Brice Waegeneire wrote:
> On 2020-01-28 23:14, Leo Famulari wrote:
> > On Tue, Jan 28, 2020 at 11:42:16PM +0100, Jonathan Brielmaier wrote:
> > > This adds btrfs-progs, zstd and lzo to the closure with a total of
> > > 7.7MiB. So that doesn't seem to big. I'm just wondering if we need
> > > btrfs
> > > support here at all, as I would call btrfs still kind of exotic apart
> > > from *SUSE distros and Facebook's backend.
> > 
> > Yeah, maybe it is too niche. I use it on all my machines but that's just
> > me. Let's wait to see if there are more comments before deciding.
> 
> Maybe %base-packages is the wrong place to add it. But it should at least be
> added to the system profile if a file-systems entry uses btrfs which isn't
> the case as I recall.

You're right, that's a much better idea!

Subject: [PATCH] system: Add btrfs-progs to %BASE-PACKAGES.
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Tue, 28 Jan 2020 17:26:51 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/system.scm (%base-packages): Add btrfs-progs.
---
 gnu/system.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/system.scm b/gnu/system.scm
index 01baa248a2..7cb6bef99d 100644
--- a/gnu/system.scm
+++ b/gnu/system.scm
@@ -586,7 +586,8 @@ of PROVENANCE-SERVICE-TYPE to its services."
          ;; already depends on it anyway.
          kmod eudev
 
-         e2fsprogs kbd
+         btrfs-progs e2fsprogs
+         kbd
 
          bash-completion
 
-- 
2.25.0